Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ejie.r01f.util
Class XMap

    java.lang.Object
      com.ejie.r01f.util.XMap

All Implemented Interfaces:
  java.util.Map

public class XMap
extends java.lang.Object
implements java.util.Map

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`XMap()` Constructores
`XMap(java.io.InputStream is)`
`XMap(java.lang.String inXMLStr)`

Method Summary
`void` | `clear()` \ METODOS DEL INTERFAZ MAP * \
`boolean` | `containsKey(java.lang.Object obj)`
`boolean` | `containsValue(java.lang.Object obj)`
`java.util.Set` | `entrySet()`
`boolean` | `equals(java.lang.Object obj)`
`java.lang.Object` | `get(java.lang.Object obj)`
`int` | `hashCode()`
`boolean` | `isEmpty()`
`java.util.Set` | `keySet()`
`java.util.Map` | `loadFromXML(java.io.InputStream is)` Obtiene el mapa desde el xml
`java.lang.Object` | `put(java.lang.Object key, java.lang.Object obj)`
`void` | `putAll(java.util.Map map)`
`java.lang.Object` | `remove(java.lang.Object obj)`
`int` | `size()`
`java.lang.String` | `toString()`
`java.lang.String` | `toXML()`
`java.util.Collection` | `values()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMap

    public XMap()

  Constructores

### XMap

    public XMap(java.io.InputStream is)

### XMap

    public XMap(java.lang.String inXMLStr)

Method Detail

### toString

    public java.lang.String toString()

### toXML

    public java.lang.String toXML()

### loadFromXML

    public java.util.Map loadFromXML(java.io.InputStream is)
                              throws org.xml.sax.SAXException

  Obtiene el mapa desde el xml

  Throws:
    `org.xml.sax.SAXException`

### clear

    public void clear()

  \ METODOS DEL INTERFAZ MAP * \

  Specified by:
    `clear` in interface `java.util.Map`

### containsKey

    public boolean containsKey(java.lang.Object obj)

  Specified by:
    `containsKey` in interface `java.util.Map`

### containsValue

    public boolean containsValue(java.lang.Object obj)

  Specified by:
    `containsValue` in interface `java.util.Map`

### entrySet

    public java.util.Set entrySet()

  Specified by:
    `entrySet` in interface `java.util.Map`

### equals

    public boolean equals(java.lang.Object obj)

  Specified by:
    `equals` in interface `java.util.Map`

### get

    public java.lang.Object get(java.lang.Object obj)

  Specified by:
    `get` in interface `java.util.Map`

### hashCode

    public int hashCode()

  Specified by:
    `hashCode` in interface `java.util.Map`

### isEmpty

    public boolean isEmpty()

  Specified by:
    `isEmpty` in interface `java.util.Map`

### keySet

    public java.util.Set keySet()

  Specified by:
    `keySet` in interface `java.util.Map`

### put

    public java.lang.Object put(java.lang.Object key,
                                java.lang.Object obj)

  Specified by:
    `put` in interface `java.util.Map`

### putAll

    public void putAll(java.util.Map map)

  Specified by:
    `putAll` in interface `java.util.Map`

### remove

    public java.lang.Object remove(java.lang.Object obj)

  Specified by:
    `remove` in interface `java.util.Map`

### size

    public int size()

  Specified by:
    `size` in interface `java.util.Map`

### values

    public java.util.Collection values()

  Specified by:
    `values` in interface `java.util.Map`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD